- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
MarinerWrtTextInternal::Zone::Information Struct Reference

struct used to keep the information of a small zone of MarinerWrtTextInternal::Zone More...

## Public Member Functions
| Information ()
| constructor More...

## Public Attributes
MWAWEntry | m_pos
| the file position More...
Vec2l | m_cPos
| the characters positions More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Information const &info)
| operator<< More...

## Detailed Description

struct used to keep the information of a small zone of MarinerWrtTextInternal::Zone

## Constructor & Destructor Documentation

MarinerWrtTextInternal::Zone::Information::Information | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Information const & | info
| ) |  |
| friend

operator<<

## Member Data Documentation

Vec2l MarinerWrtTextInternal::Zone::Information::m_cPos

the characters positions

Referenced by MarinerWrtText::readTextStruct().

std::string MarinerWrtTextInternal::Zone::Information::m_extra

extra data

Referenced by MarinerWrtText::readTextStruct().

MWAWEntry MarinerWrtTextInternal::Zone::Information::m_pos

the file position

Referenced by MarinerWrtText::computeNumPages(), and MarinerWrtText::readZone().

The documentation for this struct was generated from the following file:

- MarinerWrtText.cxx